gnutls_pubkey_set_key_usage(3)

NAME
gnutls_pubkey_set_key_usage - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_set_key_usage(gnutls_pubkey_t key, unsigned int usage);

ARGUMENTS

gnutls_pubkey_t key
    a certificate of type gnutls_x509_crt_t

unsigned int usage
    an ORed sequence of the GNUTLS_KEY_* elements.

DESCRIPTION
This function will set the key usage flags of the public key. This is only useful if the key is to be exported to a certificate or certificate request.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/